<?php
/**
 * 数据库连接类
 * 单例模式
 */

class DB{
    static private $_db = null;
    
    //构造方法连接数据库
    private function __construct() {
        try {
            $this->_db = new PDO("mysql:host=localhost;dbname=test", 'root', 'root');
            echo '我被执行了，创建了一次数据库连接对象<br />';
        } catch (PDOException $exc) {
            exit($exc->getMessage());
        }
    }
    
    //私有克隆
    private function __clone() {}
    
    //对外公开静态方法,用于实例化DB类
    static public function getInstance(){
        if(!self::$_db instanceof self){
            self::$_db = new self();
        }
        return self::$_db;
    }

    //执行sql语句
    public function query($_sql){
        return $this->_db->query($_sql);
    }    
    
}

?>
